org.eclipse.net4j.util

## Class WrappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.WrappedException

- All Implemented Interfaces:
    Serializable

      public class WrappedException
      extends RuntimeException

  An unchecked exception that wraps a checked exception. Wrapping occurs conditionally in the static `wrap()` methods.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `exception()`
    `static Exception` | `unwrap(Exception exception)`
    `static RuntimeException` | `wrap(Exception exception)`
    `static RuntimeException` | `wrap(Exception exception, String message)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### exception

          public Exception exception()

    - #### wrap

          public static RuntimeException wrap(Exception exception,
                                              String message)

      Since:
        3.1

    - #### wrap

          public static RuntimeException wrap(Exception exception)

    - #### unwrap

          public static Exception unwrap(Exception exception)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html